--- openssl.SlackBuild	2006-09-28 22:42:56.000000000 -0400
+++ openssl.SlackBuild.s390x	2007-01-19 15:28:10.000000000 -0500
@@ -58,6 +58,8 @@
 zcat $CWD/openssl.soname.diff.gz | patch -p1 --backup --verbose --suffix=.orig || exit 1
 # Fix a bug where an uninitialized pointer could be freed:
 zcat $CWD/openssl-0.9.8.fix.uninitialized.pointer.diff.gz | patch -p1 --backup --verbose --suffix=.orig || exit 1
+# Fix the config script so that it will create a 64-bit build on s390x
+cat $CWD/config.diff | patch -p1 --backup --verbose --suffix=.orig || exit 1 
 if [ "$ARCH" = "i486" ]; then
   # Build with -march=i486 -mtune=i686:
   zcat $CWD/openssl.optsx86.diff.gz | patch -p1 --backup --verbose --suffix=.orig || exit 1
@@ -77,11 +79,13 @@
 make depend || exit 1
 make || exit 1
 make install INSTALL_PREFIX=$PKG1 || exit 1
+mkdir $PKG1/usr/lib64
+mv $PKG1/usr/lib/lib* $PKG1/usr/lib64
 mv $PKG1/etc/ssl/openssl.cnf $PKG1/etc/ssl/openssl.cnf.new
-strip --strip-unneeded $PKG1/usr/lib/lib*.so.*.*.* $PKG1/usr/bin/*
-( cd $PKG1/usr/lib ; ldconfig -l * )
-( cd $PKG1/usr/lib ; ln -sf libcrypto.so.0 libcrypto.so )
-( cd $PKG1/usr/lib ; ln -sf libssl.so.0 libssl.so )
+strip --strip-unneeded $PKG1/usr/lib64/lib*.so.*.*.* $PKG1/usr/bin/*
+( cd $PKG1/usr/lib64 ; ldconfig -l * )
+( cd $PKG1/usr/lib64 ; ln -sf libcrypto.so.0 libcrypto.so )
+( cd $PKG1/usr/lib64 ; ln -sf libssl.so.0 libssl.so )
 mv $PKG1/etc/ssl/man $PKG1/usr
 ( cd $PKG1/usr/man/man1 ; mv passwd.1 ssl_passwd.1 )
 ( cd $PKG1/usr/man/man3 ; mv rand.3 ssl_rand.3 )
@@ -101,9 +105,9 @@
 makepkg -l y -c n ../${NAME1}.tgz
 
 # Make runtime package:
-mkdir -p $PKG2/usr/lib
-( cd usr/lib ; cp -a lib*.so.*.*.* $PKG2/usr/lib )
-( cd $PKG2/usr/lib ; ldconfig -l * )
+mkdir -p $PKG2/usr/lib64
+( cd usr/lib64 ; cp -a lib*.so.*.*.* $PKG2/usr/lib64 )
+( cd $PKG2/usr/lib64 ; ldconfig -l * )
 mkdir -p $PKG2/etc
 ( cd $PKG2/etc ; cp -a $PKG1/etc/ssl . )
 mkdir -p $PKG2/usr/doc/openssl-$VERSION
